/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Aug 1, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.applicationservices.coregraphics.CGPDFString;

import dstep.corefoundation.CFBase;
import dstep.corefoundation.CFDate;
import dstep.corefoundation.CFString;
import dstep.applicationservices.coregraphics.CGBase;

struct CGPDFString;

alias CGPDFString* CGPDFStringRef;

extern (C)
{
	uint CGPDFStringGetLength (CGPDFStringRef string);
	char* CGPDFStringGetBytePtr (CGPDFStringRef string);
	CFStringRef CGPDFStringCopyTextString (CGPDFStringRef string);
	CFDateRef CGPDFStringCopyDate (CGPDFStringRef string);
}